=== debian/changelog ===
ayatana-indicator-power (23.6.0-0+git20230628.1371+12.nightly.1) bookworm; urgency=medium

  * Development-Snapshot!!! Auto-built Debian bookworm package for
    packages.arctica-project.org repository (Git commit:
    7737c05592782133b241fca9c750ca6f582ec3ad).

 -- Mike Gabriel <arctica-builder@porty.informatik.uni-kiel.de>  Wed, 28 Jun 2023 15:11:28 +0200

ayatana-indicator-power (23.6.0-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-power.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 09 Jun 2023 07:53:45 +0200

ayatana-indicator-power (22.9.5-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-power.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Tue, 28 Feb 2023 23:47:40 +0100

ayatana-indicator-power (22.9.4-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-power.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sun, 12 Feb 2023 21:24:15 +0100

ayatana-indicator-power (22.9.3-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-power.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sun, 13 Nov 2022 10:10:28 +0100

ayatana-indicator-power (22.9.2-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-power.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sat, 12 Nov 2022 22:04:45 +0100

ayatana-indicator-power (22.9.1-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-power.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sat, 12 Nov 2022 21:40:54 +0100
