=== debian/control ===
Source: ayatana-indicator-power
Section: nightly/gnome
Priority: optional
Maintainer: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Build-Depends: cmake,
               cmake-extras (>= 0.10),
               gcovr,
               lcov,
               libayatana-common-dev (>= 0.9.1),
               libnotify-dev (>= 0.7.6),
               libglib2.0-dev (>= 2.36),
               lomiri-schemas | hello,
# for packaging
               debhelper (>= 10),
               dpkg-dev (>= 1.16.1.1),
               intltool,
# for tests
               libgtest-dev,
               googletest | google-mock,
               python3-dbusmock,
               dbus-test-runner,
               libdbustest1-dev,
# for systemd unit
               systemd [linux-any],
Standards-Version: 4.2.1
Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-power
Vcs-Git: https://github.com/AyatanaIndicators/ayatana-indicator-power
Vcs-Browser: https://github.com/AyatanaIndicators/ayatana-indicator-power

Package: ayatana-indicator-power
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ayatana-indicator-common,
         upower,
Recommends: mate-indicator-applet | xfce4-indicator-plugin,
            zenity,
Suggests: powerd,
          unity-system-compositor (>= 0.0.4),
          mate-control-center | xfce4-settings | unity-control-center | gnome-control-center (>= 3.1) | ubuntu-system-settings,
          mate-power-manager | xfce4-power-manager | switchboard-plug-power | gnome-power-statistics,
          ayatana-ido (>=  0.10.0),
Breaks: indicator-power,
Replaces: indicator-power,
Description: Ayatana Indicator showing power state
 This Ayatana Indicator displays current power management information and
 gives the user a way to access power management preferences.
 .
 The Ayatana Indicator provides a generic, multi-desktop-env aware
 approach of accessing power information and management features.
