## ayatana-indicator-power 24.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
 
-set(PROJECT_VERSION "23.6.0")
+set(PROJECT_VERSION "24.1.0")
 set(PACKAGE ${CMAKE_PROJECT_NAME})
 
 # Options
@@ -16,6 +16,7 @@
 option(ENABLE_WERROR "Treat all build warnings as errors" OFF)
 option(ENABLE_LOMIRI_FEATURES "Build with Lomiri-specific libraries, schemas and media" OFF)
 option(ENABLE_DEVICEINFO "Build with deviceinfo integration" OFF)
+option(ENABLE_RDA "Build with RDA (remote desktop awareness) support" ON)
 
 if(ENABLE_COVERAGE)
     set(ENABLE_TESTS ON)
@@ -89,6 +90,17 @@
     )
 endif ()
 
+if (ENABLE_RDA)
+    list (
+        APPEND
+        SERVICE_DEPS
+        rda
+    )
+    add_definitions (
+      -DRDA_ENABLED
+    )
+endif ()
+
 pkg_check_modules (SERVICE_DEPS REQUIRED ${SERVICE_DEPS})
 include_directories (SYSTEM ${SERVICE_DEPS_INCLUDE_DIRS})
