=== debian/changelog ===
ayatana-indicator-power (24.1.0-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:40:22 +0000

ayatana-indicator-power (24.1.0-2build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 03:53:50 +0000

ayatana-indicator-power (24.1.0-2) unstable; urgency=medium

  * debian/control:
    + Add to B-D: libdeviceinfo-dev.
    + Drop repowerd as alternative to upower. The repowerd is not an alternative
      to upower, it is an add-on service. Without upower, the power indicator
      is like a dead fish in the water.
  * debian/rules:
    + Build with -DENABLE_DEVICEINFO=ON.
  * debian/patches:
    + Add 1001_rda-is-local-vs-remote.patch. Use rda_session_is_remote()
      rather than rda_session_is_local() for checking that a session is
      not remote.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 20 Feb 2024 11:50:39 +0100

ayatana-indicator-power (24.1.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Drop zenity from R:, following upstream's move regarding this.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 05 Feb 2024 15:13:57 +0100

ayatana-indicator-power (23.6.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Add B-D: librda-dev.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 27 Aug 2023 21:05:09 +0200

ayatana-indicator-power (23.6.0-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright: Refresh copyright to match upstream
  * debian/control: Add myself as uploader

 -- Marius Gripsgard <mariogrip@debian.org>  Sat, 29 Jul 2023 04:19:34 +0200
