=== debian/control ===
Source: ayatana-indicator-power
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Debian UBports Team <team+ubports@tracker.debian.org>,
 Marius Gripsgard <mariogrip@debian.org>,
Build-Depends: cmake,
               cmake-extras (>= 1.5-5~),
               gcovr,
               lcov,
               libnotify-dev,
               libglib2.0-dev,
               libayatana-common-dev (>= 0.9.5),
               librda-dev,
               libdeviceinfo-dev,
# for lomiri features
               lomiri-schemas (>= 0.1.1),
               lomiri-sounds (>= 22.02),
# for packaging
               debhelper-compat (= 13),
               intltool,
# for tests
               libgtest-dev,
               googletest,
               pkg-config,
               python3-dbusmock,
               dbus-test-runner,
               libdbustest1-dev,
# for systemd unit
               systemd [linux-any],
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-power
Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-power.git
Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/ayatana-indicator-power

Package: ayatana-indicator-power
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ayatana-indicator-common (>= 0.8.0),
         upower,
Recommends: mate-indicator-applet | xfce4-indicator-plugin | lomiri,
Suggests: lomiri-system-compositor,
          mate-control-center | xfce4-settings | unity-control-center | gnome-control-center | lomiri-system-settings,
          mate-power-manager | xfce4-power-manager | switchboard-plug-power | gnome-power-statistics | lomiri-system-settings,
Breaks: indicator-power,
Replaces: indicator-power,
Description: Ayatana Indicator showing power state
 This Ayatana Indicator displays current power management information and
 gives the user a way to access power management preferences.
 .
 The Ayatana Indicator provides a generic, multi-desktop-env aware
 approach of accessing power information and management features.
 .
 Ayatana Indicators are only available on desktop environments that
 provide a renderer for system indicators (such as MATE, Xfce, Lomiri,
 etc.).
