=== debian/changelog ===
ayatana-indicator-power (24.5.1-3) unstable; urgency=medium

  * debian/control:
    + Move from R: to S: <indicator-renderer> packages (and refactor package
      list). These should be pulled-in via the desktop environment where
      AyatanaIndicators get used. Drop lomiri-system-compositor from S:.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 24 Jan 2025 10:45:30 +0100

ayatana-indicator-power (24.5.1-2) unstable; urgency=medium

  * debian/control:
    + Fix URL in Vcs-Browser: field.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 14 Aug 2024 22:51:08 +0200

ayatana-indicator-power (24.5.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 1001_rda-is-local-vs-remote.patch. Applied upstream.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 29 May 2024 10:53:27 +0200

ayatana-indicator-power (24.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 22 May 2024 09:08:14 +0200

ayatana-indicator-power (24.1.0-3) unstable; urgency=medium

  * debian/control:
    + Replace systemd by systemd-dev in B-D. (Closes: #1060588).
    + Bump Standards-Version to 4.7.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 May 2024 16:54:49 +0200
