=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: ayatana-indicator-power
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
+Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
  Debian UBports Team <team+ubports@tracker.debian.org>,
@@ -30,12 +29,12 @@
                dbus-test-runner,
                libdbustest1-dev,
 # for systemd unit
-               systemd [linux-any],
-Standards-Version: 4.6.2
+               systemd-dev [linux-any],
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-power
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-power.git
-Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/ayatana-indicator-power
+Vcs-Browser: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-power
 
 Package: ayatana-indicator-power
 Architecture: any
@@ -43,8 +42,7 @@
          ${misc:Depends},
          ayatana-indicator-common (>= 0.8.0),
          upower,
-Recommends: mate-indicator-applet | xfce4-indicator-plugin | lomiri,
-Suggests: lomiri-system-compositor,
+Suggests: mate-indicator-applet | xfce4-indicator-plugin | indicator-applet | indicator-renderer,
           mate-control-center | xfce4-settings | unity-control-center | gnome-control-center | lomiri-system-settings,
           mate-power-manager | xfce4-power-manager | switchboard-plug-power | gnome-power-statistics | lomiri-system-settings,
 Breaks: indicator-power,
