## ayatana-indicator-power 24.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
 
-set(PROJECT_VERSION "24.5.1")
+set(PROJECT_VERSION "24.5.2")
 set(PACKAGE ${CMAKE_PROJECT_NAME})
 
 # Options
