=== debian/changelog ===
ayatana-indicator-power (24.5.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.
  * debian/copyright:
    + Update copyright attributions for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 12 Mar 2025 13:18:46 +0100
